## org.apache.xalan.xpath
Class XBoolean

    java.lang.Object
      |
      +--org.apache.xalan.xpath.XObject
            |
            +--org.apache.xalan.xpath.XBoolean

Direct Known Subclasses:
  XBooleanStatic

public class XBoolean
extends XObject

**For advanced use only** This class represents an XPath boolean object, and is capable of converting the boolean to other types, such as a string.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.xpath.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN`

Constructor Summary
`XBoolean(boolean b)` **For advanced use only** Construct a XNodeSet object.

Method Summary
`boolean` `bool()` **For advanced use only** Cast result object to a boolean.
`boolean` `equals(XObject obj2)` **For advanced use only** Tell if two objects are functionally equal.
`int` `getType()` **For advanced use only** Tell that this is a CLASS_BOOLEAN.
`double` `num()` **For advanced use only** Cast result object to a number.
`java.lang.Object` `object()` **For advanced use only** Return a java object that's closes to the represenation that should be handed to an extension.
`java.lang.String` `str()` **For advanced use only** Cast result object to a string.

Methods inherited from class org.apache.xalan.xpath.XObject
`castToType, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, mutableNodeset, nodeset, notEquals, rtree, rtree, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XBoolean

    public XBoolean(boolean b)

  **For advanced use only** Construct a XNodeSet object.

Method Detail

### getType

    public int getType()

  **For advanced use only** Tell that this is a CLASS_BOOLEAN.
  Overrides:
    getType in class XObject

### num

    public double num()

  **For advanced use only** Cast result object to a number.
  Overrides:
    num in class XObject

### bool

    public boolean bool()

  **For advanced use only** Cast result object to a boolean.
  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  **For advanced use only** Cast result object to a string.
  Overrides:
    str in class XObject

### object

    public java.lang.Object object()

  **For advanced use only** Return a java object that's closes to the represenation that should be handed to an extension.
  Overrides:
    object in class XObject

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  **For advanced use only** Tell if two objects are functionally equal.
  Overrides:
    equals in class XObject

Copyright © 2000 Apache XML Project. All Rights Reserved.